# -*- coding: utf-8 -*-
from ppms.migration.packet import *


class FixDDButtonText(ChangeDTPPacket):
    '''Update the I-Texts for the new restart server functionality'''
    done_after_success = True
    run_on_startup = True
    category = PacketCategory.CATEGORY_MANDATORY
    wi_number = 10654

    def fix(self, runner):
        self.log('This packet is obsolete due to RenameMenuitemToRestart')
        return self.success()
